## dia-newcanvas 0.6.10

=== debian/changelog ===
dia-newcanvas (0.6.10-5.4) unstable; urgency=low

  [ Gregor Herrmann ]
  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b dia-newcanvas-
    0.6.10 gave error exit status 2": fix autotools handling:
    - remove automatically created patches
    - use dh-autoreconf instead of manual copying and autoreconfing in
      debian/rules
    (Closes: #643088)

  [ Mònica Ramírez Arceda ]
  * debian/patches/20-fix-Werrors.patch: fix gcc warnings so that the package 
    can be built (it is built with -Werror flag).

 -- Mònica Ramírez Arceda <monica@debian.org>  Mon, 09 Apr 2012 17:27:41 +0200

dia-newcanvas (0.6.10-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621325).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 19:12:06 +0200

dia-newcanvas (0.6.10-5.2) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/compat
    - New file.
  * debian/control
    - Remove EOL whitespaces.
    - (Build-Depends): update obsolete debhelper from 3 to 7.1.
    - (Depends): add ${misc:Depends}.
    - (Description): Fix spelling of GNOME.
    - (Homepage): New field
    - (Standards-Version): Update ancient 3.6.1 to 3.8.4.
    + libdianewcanvas2-dev
      - (Depends): Update obsolete ${Source-Version} to ${binary:Version}.
      - (Section): Update from devel to libdevel.
  * debian/copyright
    - Update layout. Add note that code is no longer available.
  * debian/patches
    - (Number 10): Fix spelling in source code.
  * debian/rules
    - (DH_COMPAT): Removed. Obsolete 3, replaced by debian/compat.
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.

  [ Hideki Yamane (Debian-JP) <henrich@debian.or.jp> ]
  * debian/control
    - (Build-Depends): Add autoconf, automake, libtool
  * debian/rules
    - (config.status): Add "autoreconf -i" (FTBFS; Closes: #577383).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 09 May 2010 02:26:53 +0300

dia-newcanvas (0.6.10-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python-dev instead of python2.3-dev; fixes FTBFS now
    that python is python2.4. (Closes: #384818)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  7 Sep 2006 13:27:19 +0200

dia-newcanvas (0.6.10-5) unstable; urgency=low

  * Rebuilt with the right links.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 18 Nov 2003 01:33:39 +0100

dia-newcanvas (0.6.10-4) unstable; urgency=low

  * Fixed FTBS due to the new version of python
    + Applied patch from Roland Stigge <stigge@antcom.de> (Closes: #221034).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 17 Nov 2003 14:10:19 +0100

dia-newcanvas (0.6.10-3) unstable; urgency=low

  * Changed Depends on libgtk2.0-0png3.

 -- Sebastien Bacher <seb128@debian.org>  Mon,  3 Mar 2003 10:35:20 +0100

dia-newcanvas (0.6.10-2) unstable; urgency=low

  * Update to Standards-Version 3.5.8.
  * NMU acknowledge.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 16 Feb 2003 23:03:25 +0100

dia-newcanvas (0.6.10-1.1) unstable; urgency=low

  * NMU with permission of Sebastien Bacher <seb128@debian.org>.
  * Removed -Werror flag from the gcc command line (closes: bug#161988).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Sep 2002 17:01:26 +0200

dia-newcanvas (0.6.10-1) unstable; urgency=low

  * New upstream release.
  * Added python2.2-dev and python2.2-gtk2 to Build-Depends.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  1 Sep 2002 00:55:38 +0200

dia-newcanvas (0.6.9-5) unstable; urgency=low

  * Fixed macro errors in dia-canvas-*.h (closes: #151004).
  * Changed my maintainer e-mail address to <seb128@debian.org>.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 30 Aug 2002 14:34:09 +0200

dia-newcanvas (0.6.9-4) unstable; urgency=low

  * Update depends.
  * Build for libgtk2.0-0png3.

 -- Sebastien Bacher <sebastien.bacher@insa-lyon.fr>  Sat, 10 Aug 2002 22:16:02 +0200

dia-newcanvas (0.6.9-3) unstable; urgency=low

  * Update depends.
  * Remove depends to libgnome2-dev and libart-2.0-dev.

 -- Sebastien Bacher <sebastien.bacher@insa-lyon.fr>  Thu,  8 Aug 2002 20:03:49 +0200

dia-newcanvas (0.6.9-2) unstable; urgency=low

  * Fixed implicit declaration

 -- Sebastien Bacher <sebastien.bacher@insa-lyon.fr>  Sat,  8 Jun 2002 14:16:56 +0200

dia-newcanvas (0.6.9-1) unstable; urgency=low

  * New upstream release
  * Fixed implicit declaration (closes: #149274)

 -- Sebastien Bacher <sebastien.bacher@insa-lyon.fr>  Fri,  7 Jun 2002 19:15:30 +0200

dia-newcanvas (0.6.8-1) unstable; urgency=low

  * Initial Release. (closes: #146777)

 -- Sebastien Bacher <sebastien.bacher@insa-lyon.fr>  Fri, 26 May 2002 13:37:44 +0200
