=== debian/control ===
Source: dia-newcanvas
Section: devel
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper (>= 7.1), libgtk2.0-dev (>= 2.0.6), gettext, libglade2-dev (>= 2.0.0-2), python-dev, python-gtk2-dev, dh-autoreconf
Standards-Version: 3.8.4
Homepage: http://gael.sourceforge.net

Package: libdianewcanvas2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgtk2.0-0 (>= 2.0.6)
Description: a gtk+2 vectorial canvas with extra features
 Dia-newcanvas is a gtk+2 vectorial widget that has got extra features
 as compared to GNOME canvas:
 .
    * Split data/view done through a renderer interface
    * Grid
    * Connections, attracted/attraction points
    * Easy customizatoin
    * Multiple renderers (Gdk implemented, anti-aliased and gnome-print
      planned)
    * Multiple views ability

Package: libdianewcanvas2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libdianewcanvas2 (=  ${binary:Version}), libgtk2.0-dev (>= 2.0.6), libglade2-dev (>= 2.0.0-2)
Description: a gtk+2 vectorial canvas with extra features
 Dia-newcanvas is a gtk+2 vectorial widget that has got extra features
 as compared to GNOME canvas:
 .
    * Split data/view done through a renderer interface
    * Grid
    * Connections, attracted/attraction points
    * Easy customizatoin
    * Multiple renderers (Gdk implemented, anti-aliased and gnome-print
      planned)
    * Multiple views ability
 .
 This package contains the header files and static library needed for
 development of programs using dia-newcanvas.
